Guid to Point3d

Hello!
I have used “rs.RotateObject” to generate a point(a guid of a point). and i have a point (Point3d).
i want to use “rs.AddCurve” to add a curve to my Rhino but this is the error I have gotten from:


I wonder if someone knows the solution for that

//

Well, it sounds like you’re still trying to pass a GUID (probably a Rhino point in the document) and not a Point3d. I don’t know what your function CurveDivider() returns (you don’t show it), but check what’s actually in the list points that you are getting from that function.

but is there any way yo convert these two(Guid and point,d) to each other?
in my case “Point_on_Barriers” is a list of point3d
and
“g” is a Guid coming from “rs.RotateObject”

the weird thing is based on the Help
image
“rs.AddCurve” can work with both point3d and Guid (if i have understood right)

The easiest way is probably to use

my_point3d=rs.coerce3dpoint(guid)

That’s because most of the rhinoscriptsyntax methods that can take points use rs.coerce3dpoint internally.

it does not work

Dunno, this works here:

import rhinoscriptsyntax as rs
pt_id=rs.GetObject("Pick a point object",1,preselect=True)
print type(pt_id),pt_id
my_pt=rs.coerce3dpoint(pt_id)
print type(my_pt),my_pt